Page MenuHomePhabricator

Enable <mapframe> on kannada wikipedia
Closed, ResolvedPublic

Event Timeline

Anooprao created this task.Mar 16 2018, 4:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2018, 4:01 PM
Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptMar 16 2018, 4:50 PM

Change 420077 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[operations/mediawiki-config@master] Enable mapframe on knwiki

https://gerrit.wikimedia.org/r/420077

debt added a subscriber: Catrope.Mar 16 2018, 10:46 PM

Scheduled for deployment on Monday March 19 at 18:00-19:00 UTC.

Yurik added a subscriber: Yurik.Mar 17 2018, 12:24 AM

Shouldn't all small wikis that do not use flagged revisions extension just get this? Otherwise this seems like a busy work - there are 300 wikis, each "enablement" takes probably around 5 hours of combined human time, making this into a two months of wasted human time... that doesn't really gain anything. WMF has never done anything remotely similar to any of its content features that have been so widely requested. Most of these 2 months of time is being paid by the donations too...

Change 420077 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable mapframe on knwiki

https://gerrit.wikimedia.org/r/420077

Mentioned in SAL (#wikimedia-operations) [2018-03-19T18:14:36Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Enable mapframe on knwiki (T189883) (duration: 00m 58s)

Jayprakash12345 closed this task as Resolved.Mar 19 2018, 6:15 PM

Shouldn't all small wikis that do not use flagged revisions extension just get this? Otherwise this seems like a busy work - there are 300 wikis, each "enablement" takes probably around 5 hours of combined human time, making this into a two months of wasted human time... that doesn't really gain anything. WMF has never done anything remotely similar to any of its content features that have been so widely requested. Most of these 2 months of time is being paid by the donations too...

Maybe, but you know, that all-wiki (or most-wiki) decisions take a lot of time. If a wiki wants to have this in advance, why not? (sorry for last-time response, see T193371#4167603 for what caused me looking at this task and your comment in particular).

Yurik added a comment.Apr 30 2018, 3:01 PM

@Urbanecm this is not accurate. changes to existing systems take a long time - people need to agree that the "new" system is better and it is ok to change. That's why introducing a new media viewer was messed up - it required every community to agree on the new way to see images for everyone, and the change wasn't well accepted/delivered.

Introduction of the new type of markup capabilities, e.g. you can now write "foo()" in addition to the current "bar()" when writing wiki pages - that's not a change. This is a new capability that every editor, in every wiki, may use if they want to. But they don't have to. It is up to the community to decide that, without breaking anything. Features like these get rolled out all the time - new APIs become available in Lua, new magic keywords get added, etc. The fact that the new map markup have not been rolled out despite an overwhelming support and requests has no real excuse, other than mismanagement.